import java.awt.*;

class Triangle {
	private Point[] vertices;
	private double area;

	// Default triangle with vertices (0,0), (0,1) and (1,0)
	public Triangle() {
		this(0, 0, 0, 1, 1, 0);
		// or: this(new Point(), new Point(0,1), new Point(1,0));
	}

	public Triangle(int vertex1X, int vertex1Y,
	                int vertex2X, int vertex2Y,
					int vertex3X, int vertex3Y) {
		this(new Point(vertex1X, vertex1Y),
		     new Point(vertex2X, vertex2Y),
		     new Point(vertex3X, vertex3Y));
	}

	public Triangle(Point vertex1, Point vertex2, Point vertex3) {
		vertices = new Point[3];
		vertices[0] = vertex1;
		vertices[1] = vertex2;
		vertices[2] = vertex3;
		area = computeArea();
	}

	public double getArea() {
		return area;
	}

	public String toString() {
		return "[(" + vertices[0].x + "," + vertices[0].y + "):" +
		        "(" + vertices[1].x + "," + vertices[1].y + "):" +
		        "(" + vertices[2].x + "," + vertices[2].y + "):" +
				"Area=" + area + "]";
	}

	// Return the area of this triangle
	private double computeArea() {
		int minX = Math.min(vertices[0].x, Math.min(vertices[1].x, vertices[2].x));
		int maxX = Math.max(vertices[0].x, Math.max(vertices[1].x, vertices[2].x));
		int minY = Math.min(vertices[0].y, Math.min(vertices[1].y, vertices[2].y));
		int maxY = Math.max(vertices[0].y, Math.max(vertices[1].y, vertices[2].y));
		return (maxX - minX) * (maxY - minY) / 2.0;
	}
}

